WPParserInternal::ParagraphData Struct Reference

Internal: class to store the beginning of all paragraph data. More...

## Public Member Functions

| ParagraphData ()
| Constructor. More...

## Public Attributes

int | m_type
int | m_typeFlag
int | m_height
int | m_width
int | m_indent [2]
int | m_unknown
std::string | m_text
std::vector< Font > | m_fonts
long | m_endPos
int | m_numData [2]

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphData const &p)
| operator<< More...

## Detailed Description

Internal: class to store the beginning of all paragraph data.

## Constructor & Destructor Documentation

WPParserInternal::ParagraphData::ParagraphData | ( |  | ) |

inline

Constructor.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphData const & | p
| ) |  |

friend

operator<<

## Member Data Documentation

long WPParserInternal::ParagraphData::m_endPos

Referenced by WPParser::readGraphic(), WPParser::readParagraphData(), WPParser::readSection(), WPParser::readTable(), WPParser::readText(), and WPParser::readUnknown().

std::vector<Font> WPParserInternal::ParagraphData::m_fonts

Referenced by WPParser::readParagraphData(), and WPParser::readText().

int WPParserInternal::ParagraphData::m_height

Referenced by WPParser::readParagraphData().

int WPParserInternal::ParagraphData::m_indent[2]

Referenced by WPParser::getParagraph(), ParagraphData(), and WPParser::readParagraphData().

int WPParserInternal::ParagraphData::m_numData[2]

Referenced by ParagraphData(), WPParser::readGraphic(), WPParser::readParagraphData(), WPParser::readSection(), WPParser::readTable(), WPParser::readText(), and WPParser::readUnknown().

std::string WPParserInternal::ParagraphData::m_text

Referenced by WPParser::readParagraphData(), and WPParser::readText().

int WPParserInternal::ParagraphData::m_type

Referenced by WPParser::readGraphic(), WPParser::readParagraphData(), WPParser::readSection(), WPParser::readTable(), WPParser::readText(), and WPParser::readUnknown().

int WPParserInternal::ParagraphData::m_typeFlag

Referenced by WPParser::readParagraphData().

int WPParserInternal::ParagraphData::m_unknown

Referenced by WPParser::readParagraphData().

int WPParserInternal::ParagraphData::m_width

Referenced by WPParser::getParagraph(), and WPParser::readParagraphData().

The documentation for this struct was generated from the following file:

- WPParser.cxx